Package groovy.beans

# Class DefaultPropertyWriter

java.lang.Object
groovy.beans.DefaultPropertyWriter

All Implemented Interfaces:
  `PropertyWriter`

public class DefaultPropertyWriter extends Object implements PropertyWriter

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final PropertyWriter`
  `INSTANCE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultPropertyWriter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `write(Object owner, String propertyName, Object value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INSTANCE

    public static final PropertyWriter INSTANCE

- ## Constructor Details

  - ### DefaultPropertyWriter

    public DefaultPropertyWriter()

- ## Method Details

  - ### write

    public void write(Object owner, String propertyName, Object value)
    Specified by:
      `write` in interface `PropertyWriter`